## ros-indigo-carl-navigation 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_navigation)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs costmap_2d dynamic_reconfigure geometry_msgs message_generation move_base_msgs nav_msgs rail_ceiling roscpp roslib tf)
find_package(PkgConfig)

#######################################
## Declare ROS messages and services ##
#######################################

add_message_files(
  FILES
  BlockedCells.msg
)

## Generate actions in the 'action' folder
add_action_files(
  FILES
  MoveCarl.action
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  actionlib_msgs
  geometry_msgs
  std_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Check for what version of YAML we have
pkg_check_modules(YAML_CPP yaml-cpp)
if(${YAML_CPP_VERSION} VERSION_GREATER 0.5)
  add_definitions(-DYAMLCPP_GT_0_5_0)
endif()

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDE_DIRS}
)
link_directories(${YAML_CPP_LIBRARY_DIRS})

## Declare a cpp executable
add_executable(rail_lab_location_server src/rail_lab_location_server.cpp src/location.cpp)
add_executable(map_republisher src/map_republisher.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(rail_lab_location_server
  ${catkin_LIBRARIES}
  yaml-cpp
)
target_link_libraries(map_republisher ${catkin_LIBRARIES})

add_library(furniture_layer src/furniture_layer.cpp)

add_dependencies(rail_lab_location_server ${PROJECT_NAME}_gencpp)
add_dependencies(furniture_layer ${PROJECT_NAME}_gencpp rail_ceiling_gencpp)
add_dependencies(map_republisher ${PROJECT_NAME}_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS rail_lab_location_server map_republisher furniture_layer
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy rviz files
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-indigo-carl-navigation (0.0.12-0trusty) trusty; urgency=high

  * reverted changelog
  * changelog updated
  * Added some locations
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-carl-navigation (0.0.11-0trusty) trusty; urgency=high

  * pretty world rviz
  * pretty world rviz
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 06 May 2015 04:00:00 -0000

ros-indigo-carl-navigation (0.0.10-0trusty) trusty; urgency=high

  * pretty rviz view added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-navigation (0.0.9-0trusty) trusty; urgency=high

  * rviz update
  * launches ilab URDF
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-carl-navigation (0.0.8-0trusty) trusty; urgency=high

  * Update .travis.yml
  * travis now pull source
  * topic name update
  * propagated furniture obstacle information to local costmap as well as the global costmap
  * message generation dependency
  * Fixed a race condition on geting the initial furniture positions
  * Adjustments to inflation amount and publisher/subscriber initialization order for the furniture_layer
  * Organization/Documentation
  * Navigation can now be launched to use layered costmaps for localization and navigation based on fixed furniture positions, marker-tracked furniture positions, or the original non-layered version.
  * Documentation and cleanup
  * Layered costmap implementation for dynamic furniture tracking
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-carl-navigation (0.0.7-0trusty) trusty; urgency=high

  * navigation marker fix
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 23 Oct 2014 04:00:00 -0000

ros-indigo-carl-navigation (0.0.6-0trusty) trusty; urgency=high

  * no more checks
  * error in pose
  * tuning for rail locations
  * tuning for lab locations
  * tuning for lab locations
  * tuning for lab locations
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-carl-navigation (0.0.5-0trusty) trusty; urgency=high

  * parser for yaml file
  * fstream included
  * checks made for yaml-cpp version during compile
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Sep 2014 04:00:00 -0000

ros-indigo-carl-navigation (0.0.4-0trusty) trusty; urgency=high

  * added jaco_description support
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_navigation into develop
  * travis only builds carl_description instead of entire robot
  * rviz config update for new interactive marker server
  * Contributors: Russell Toris, dekent

 -- Russell Toris <rctoris@wpi.edu>  Mon, 22 Sep 2014 04:00:00 -0000

ros-indigo-carl-navigation (0.0.3-0trusty) trusty; urgency=high

  * final version of location server
  * build fix
  * travis fix test
  * message generation added
  * started carl navigation
  * footprint updated
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 19 Sep 2014 04:00:00 -0000

ros-indigo-carl-navigation (0.0.2-0trusty) trusty; urgency=high

  * robot_pose_publisher now launched with AMCL
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 04 Sep 2014 04:00:00 -0000

ros-indigo-carl-navigation (0.0.1-0trusty) trusty; urgency=high

  * fixed launch file location
  * navigation launch file added
  * amcl params moved to yaml
  * gmapping params moved to yaml
  * nav rviz config
  * params updated
  * navigation started
  * travis fix
  * gmapping parameters
  * removed old code
  * cleanup of readmes and such
  * Merge pull request #3 from Spkordell/develop
    Get the localization map only once by making a service call
  * Fixed merge conflicts
  * Created navigation timeout node
  * Created navigation timeout node
  * Fixed some nav goals failing to cancel.
  * Get the localization map only once by making a service call
  * Cleaned rviz configuration
  * Merge pull request #2 from Spkordell/develop
    Navigation Tuning
  * Tuning
  * Tuning
  * Tuning
  * Tuning
  * Tuning
  * Tuning
  * tuning
  * Aligned navigation boundary to new map
  * Merge pull request #1 from Spkordell/develop
    Moved carl_navigation from carl_bot package to its own package
  * Merge branch 'develop' of https://github.com/Spkordell/carl_navigation into develop
  * Removed visual odometry from gmapping
  * Tuning
  * Moved carl_navigation from carl_bot package to its own package
  * Initial commit
  * Contributors: Russell Toris, Steven Kordell, spkordell

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 Aug 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-carl-navigation
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, pkg-config, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-costmap-2d, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-rail-ceiling, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf
Homepage: http://ros.org/wiki/carl_navigation
Standards-Version: 3.9.2

Package: ros-indigo-carl-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-carl-description, ros-indigo-costmap-2d, ros-indigo-dwa-local-planner, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-gmapping, ros-indigo-message-runtime, ros-indigo-move-base, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-navfn, ros-indigo-rail-collada-models, ros-indigo-rail-maps, ros-indigo-robot-pose-publisher, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf
Description: Autonomous Navigation Capabilities for CARL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-navigation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
